{ config, inputs, ... }:

{
  # nixpkgs.overlays = [ inputs.neovim-overlay.overlay ];

  nixpkgs.config.packageOverrides = pkgs: with pkgs; {
    neovim-qt-unwrapped = neovim-qt-unwrapped.overrideDerivation (_: {
      src = fetchFromGitHub {
        owner  = "equalsraf";
        repo   = "neovim-qt";
        rev    = "0eba7a06093ca0427f2700129332a361a0209be5";
        sha256 = "sha256-iF1DlJK3GnghZmyaFXXR5Wyvv8Y6kVuXegkInj2+sT4=";
      };

      patches = [
        (fetchpatch {
          url = "https://github.com/equalsraf/neovim-qt/commit/56ad7e54a27f1bed2fcbe9e3bf22f9394360c722.patch";
          sha256 = "sha256-WgqEZUdKuHieKmTCBYBpO9PjjxLfSi0Slaf70ZHWHY4=";
        })
      ];
    });
  };
}
